मुझे iPhone 4S के लिए एक हस्ताक्षरित iOS 8.2 .ipsw फ़ाइल कहां मिल सकती है?


2

लगभग एक हफ्ते पहले तक, Apple ने iOS 8.2 का एक हस्ताक्षरित संस्करण पेश किया था। अब फ़ाइल पर हस्ताक्षर नहीं किए गए हैं। क्या कोई ऐसी जगह है जहाँ मैं अभी भी फ़ाइल के हस्ताक्षरित संस्करण को डाउनलोड कर सकता हूँ? क्या अब भी किसी के पास कॉपी है?

पृष्ठभूमि: मैं एक iOS ऐप लिख रहा हूं जिसे मैं अपने iPhone पर परीक्षण करना चाहता हूं, लेकिन Xcode का मेरा संस्करण iOS 8.3 को संभाल नहीं सकता है। जहां तक ​​मैं बता सकता हूं, मेरे फोन के साथ Xcode को संगत बनाने के केवल दो तरीके हैं: या तो OS X को Yosemite में अपग्रेड करें या iOS को 8.2 पर डाउनग्रेड करें। मैं फोन को डाउनग्रेड करना चाहता हूं, मैं इसका इस्तेमाल वैसे भी परीक्षण के लिए करता हूं।

लिंक: http://en.wikipedia.org/wiki/Xcode#Version_comparison_table https://ipsw.me/iPhone4,1

(या क्या मैंने हस्ताक्षर करने की प्रक्रिया को गलत समझा था? हो सकता है कि फ़ाइल नहीं बदली गई हो, और स्थापना के दौरान हस्ताक्षर किसी तरह हुआ हो?)

अद्यतन : हां, मैंने हस्ताक्षर करने की प्रक्रिया को गलत समझा था - स्थापना के दौरान, एक एप्पल सर्वर को फोन के लिए फाइल को मंजूरी देनी होगी। :-(

लेकिन मुझे Mavericks पर Xcode बनाने का दूसरा तरीका अपने iOS 8.3 फोन से बात करने का मिला: मैंने developer.apple.com से Xcode 6.3 डाउनलोड किया, इसे इंस्टॉल किया /Applications/Xcode-6.3.appऔर इसे कॉपी /Applications/Xcode-6.3.app/Contents/Developer/Platforms/iPhoneOS.platformकिया /Applications/Xcode-6.2.app/Contents/Developer/Platforms/iPhoneOS.platform। Xcode 6.2 शुरू किया, और Xcode से मेरे फोन पर ऐप चला और डिबग कर सकता है। Xcode 5.0 के लिए भी काम करता है। अधिक जानकारी: https://stackoverflow.com/questions/29556950/iphone-running-ios-8-3-shows-up-as-inel योग्य-in-xcode-6-2-any- solution/ 29727482#29727982

जवाबों:


2

Apple एक सप्ताह के भीतर पुराने OS पर हस्ताक्षर करना बंद कर देता है या नए आने वाले सभी उपकरणों के लिए, जो उस OS का समर्थन कर सकता है।

उसके बाद, वापस जाने का कोई तरीका नहीं है, जब तक कि आपने अपने SHSH बूँद को पूर्व संस्करण की स्थापना से नहीं बचाया था ।

आपको Apple डेवलपर से Xcode 6.3.1 प्राप्त करने या ऐप स्टोर से अपडेट करने में सक्षम होना चाहिए ।


जवाब के लिए धन्यवाद। दो टिप्पणी: 1. जैसा कि मैंने कहा, Xcode 6.3.1 को OS X 10.10 (Yosemite) की आवश्यकता है, और मैं इसके मैक को अभी तक अपग्रेड नहीं करूंगा। 2. अगर मैं सही तरीके से समझूं, तो SHSH ब्लब्स को बचाने से कोई मदद नहीं मिलती है। 8.3 iPhone को डाउनग्रेड करने का कोई तरीका नहीं है। जेलब्रेक भी नहीं हैं। अधिक जानकारी यहाँ: theiphonewiki.com/wiki/APTicket theiphonewiki.com/wiki/SHSH
jcsahnwaldt
हमारी साइट का प्रयोग करके, आप स्वीकार करते हैं कि आपने हमारी Cookie Policy और निजता नीति को पढ़ और समझा लिया है।
Licensed under cc by-sa 3.0 with attribution required.